# TS-CLICHE (alpha)

Let us the onus of creating and recreating cliché types!

## Table of Contents

- [Installation](#installation)
- [Usage](#usage)
- [List](#list)
- [Support](#support)
- [Contributing](#contributing)

## Installation

```bash
yarn add -D ts-cliche
```

## Usage

Use this configuration in your **tsconfig.json**:

```json
{
    "compilerOptions": {
        "typeRoots": [
            "node_modules/ts-cliche"
        ],

        "types": [
            "ts-cliche/something"
        ],
    }
}
```

Replace **ts-cliche/something** with any declaration files within this package. For example, [**ts-cliche/callback**](https://github.com/zaclummys/ts-cliche/blob/master/callback.d.ts).

## List

- [Class](https://github.com/zaclummys/ts-cliche/blob/master/class.d.ts)
- [Common](https://github.com/zaclummys/ts-cliche/blob/master/common.d.ts)
- [Container](https://github.com/zaclummys/ts-cliche/blob/master/container.d.ts)
- [Callback](https://github.com/zaclummys/ts-cliche/blob/master/callback.d.ts)
- [ArrayLikeIterable](https://github.com/zaclummys/ts-cliche/blob/master/array-like-iterable.d.ts)

## Support

Please [open an issue](https://github.com/zaclummys/ts-cliche/issues/new) for support.

## Contributing

Please contribute using [Github Flow](https://guides.github.com/introduction/flow/). Create a branch, add commits, and [open a pull request](https://github.com/zaclummys/ts-cliche/compare/).

## Note

This package is in alpha development. It's unstable and insecure for all purposes beyond testing.
